using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class etw_c_m_allow : System.Web.UI.Page
{
    public string page = string.Empty;
    public string errid = string.Empty;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["page"] != null && Request.QueryString["errid"] != null)
        {
            page = Request.QueryString["page"].ToString();
            errid = Request.QueryString["errid"].ToString();
            etw.etw_error lead = new etw.etw_error();
            lead.id = Convert.ToInt32(errid);
            lead.allow = 1;
            lead.Upallow();
            lead.GetModel();
            etw.etw_IP lead_ip = new etw.etw_IP();
            lead_ip.ip = lead.ip;
            lead_ip.usernameid = lead.usernameid;
            lead_ip.Add();
            Fun.JsAlerT("允许登陆", "loginerror.aspx?page=" + page + "");
        }
    }
}
